#
# spec file for package libebml (Version 1.0.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 2

Name:           libebml
Version:        1.0.0
Release:        3.2
License:        LGPLv2.1+
Summary:        Libary to Parse EBML Files
Url:            http://dl.matroska.org/downloads/libebml/
Group:          Development/Libraries/Other
Source:         http://dl.matroska.org/downloads/libebml/libebml-%{version}.tar.bz2
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libebml is a C++ library to parse EBML files. See the EBML RFV at
http://www.matroska.org/technical/specs/rfc/.

%package -n libebml2
License:        LGPLv2.1+
Summary:        Libary to Parse EBML Files
Group:          Development/Libraries/Other

%description -n libebml2
libebml is a C++ library to parse EBML files. See the EBML RFV at
http://www.matroska.org/technical/specs/rfc/.

%package -n libebml-devel
License:        LGPLv2.1+
Summary:        Libary to Parse EBML Files
Group:          Development/Libraries/Other
Requires:       libebml2 = %{version}
Requires:       glibc-devel
Requires:       libstdc++-devel

%description -n libebml-devel
libebml is a C++ library to parse EBML files. See the EBML RFV at
http://www.matroska.org/technical/specs/rfc/.

%prep
%setup -q -n libebml-%{version}

%build
cd make/linux
%{__make} %{?jobs:-j%jobs} CXXFLAGS="${CXXFLAGS:-%optflags}" sharedlib

%install
cd make/linux
%{__make} libdir=%{buildroot}%{_libdir} includedir=%{buildroot}%{_includedir}/ebml install_sharedlib install_headers

%clean
%{__rm} -rf %{buildroot}

%post -n libebml2 -p /sbin/ldconfig

%postun -n libebml2 -p /sbin/ldconfig

%files -n libebml2
%defattr (-,root,root)
%{_libdir}/libebml.so.%{soname}

%files -n libebml-devel
%defattr (-,root,root)
%{_libdir}/libebml.so
%{_includedir}/ebml

%changelog
* Wed Dec  8 2010 cristian.rodriguez@opensuse.org
- fix -devel package dependencies
* Wed Jul 28 2010 coolo@novell.com
- fix build in renaming shared library package
* Sat Jun  5 2010 cmorve69@yahoo.es
- Update to version 1.0.0
  - Fix more issues which came to light with the recent push of
    WebM -- mostly regarding elements with unknown sizes.
* Sat May 15 2010 cmorve69@yahoo.es
- update to version 0.8.0
  - new macros to simplify and unify the way to declare and define EBML elements
  - new macros to access variables of a Class/Object so that switching to libebml v2 is transparent
  - add an EBML_STRICT_API compilation flag (off by default) to avoid direct access to internal class variables
  - fix some building issues on Linux and MinGW
  - add accessor calls to the base classes to avoid direct access to internal class variables
  - add iterators to navigate throught the EbmlMaster children
  - use a new filepos_t type for everything that relates to an element position/data size with INVALID_FILEPOS_T in case of errors
  - remove the const on integer values
* Mon Mar 16 2009 crrodriguez@suse.de
- remove static libraries
* Wed Mar  5 2008 seife@suse.de
- update to version 0.7.8 - only gcc-4.3 build fixes
- remove our gcc-4.3 patch
* Wed Oct 24 2007 seife@suse.de
- fix gcc-43 build problems (bugs 330737, 336510)
* Sat May 26 2007 ro@suse.de
- split off devel package
* Tue Oct 31 2006 meissner@suse.de
- use RPM_OPT_FLAGS
* Fri Mar 31 2006 seife@suse.de
- update to version 0.7.7 bugfix release that fixes pointer
  aliasing issues
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 21 2005 seife@suse.de
- version update to 0.7.6
* Tue Nov 15 2005 uli@suse.de
- build with -O1 on ARM (ICE workaround)
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Tue Jul  5 2005 seife@suse.de
- version update to 0.7.5
* Sun Apr 17 2005 seife@suse.de
- version update to 0.7.4
* Fri Apr 15 2005 sf@suse.de
- changed patch to only prevent 'unary lvalue error' for GCC4
* Thu Apr 14 2005 yxu@suse.de
- fixed for GCC4
* Mon Feb  7 2005 seife@suse.de
- version update to 0.7.3
* Tue Oct 26 2004 seife@suse.de
- version update to 0.7.2
* Wed Sep  1 2004 seife@suse.de
- initial submission
